import AppHeader from "./components/AppHeader";
import AppFooter from "./components/AppFooter";
import WelcomePage from "./pages/WelcomePage.tsx";
import LoginPage from "./pages/LoginPage.tsx";
import LabsPage from "./pages/LabsPage.tsx";
import OpeningsPage from "./pages/OpeningsPage.tsx";
import DiscussionPage from "./pages/DiscussionPage.tsx";
import ProfilePage from "./pages/ProfilePage.tsx";
import './App.css'
import {Route, Routes} from "react-router-dom";

export default function App() {
    return (
        <div className="app">
            <AppHeader/>
            <Routes>
                <Route path="/" element={<WelcomePage/>}/>
                <Route path="/login" element={<LoginPage/>}/>
                <Route path="/labs" element={<LabsPage/>}/>
                <Route path="/openings" element={<OpeningsPage/>}/>
                <Route path="/discussion" element={<DiscussionPage/>}/>
                <Route path="/profile" element={<ProfilePage/>}/>
            </Routes>
            <AppFooter/>
        </div>
    );
}
