import {Link} from "react-router-dom";
import "./AppHeader.css";

export default function AppHeader() {
    return (
        <header className="header container">
            <section className="logo-and-title">
                <Link className="logo-and-text" to="/">
                    <img
                        src="/site-images/flask-solid.svg" // PLACEHOLDER
                        alt="VT Reseach Connect Logo"
                    />
                </Link>
                <Link className="logo-and-text" to="/">
                    <h1 className="logo-text">VT Research Connect</h1>
                </Link>
            </section>
            <section className="labs-openings-discussion-profile-login">
                <Link to="/labs"><button className="button"><i className="fa-solid fa-flask"></i> LABS</button></Link>
                <Link to="/openings"><button className="button"><i className="fa-solid fa-door-open"></i> OPENINGS</button></Link>
                <Link to="/discussion"><button className="button"><i className="fa-solid fa-comments"></i> DISCUSSION</button></Link>
                <Link to="/profile"><button className="button"><i className="fa-solid fa-user"></i> PROFILE</button></Link>
                <Link to="/login"><button className="button"><i className="fa-solid fa-sign-in"></i> LOGIN</button></Link>
            </section>
        </header>
    );
}